Page MenuHomePhabricator

wikibugs should Ignore CC changes
Closed, ResolvedPublic

Details

Related Gerrit Patches:
labs/tools/wikibugs2 : masterFix wikibugs after Phabricator update

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added a project: Wikibugs.
valhallasw changed Security from none to None.
valhallasw added subscribers: Unknown Object (MLST), valhallasw.
chasemp renamed this task from Ignore CC changes to phawikibugs should Ignore CC changes.Oct 14 2014, 7:18 PM

A side-issue, which I assume fixing this Task will solve, but should be checked (or split, or mentioned elsewhere?)...

Currently, if we Comment on a Task that we're not subscribed to, then only the "Subscribed" action is mentioned by phawikibugs,
e.g. here, https://phabricator.wikimedia.org/T792#16443 which was sent to IRC as:
<phawikibugs> Quiddity updated subscribers of T792: UX Testing Environment (Tracking). https://phabricator.wikimedia.org/T792

A side-issue, which I assume fixing this Task will solve, but should be checked (or split, or mentioned elsewhere?)...

T898, I imagine.

Qgil added a subscriber: Qgil.Oct 29 2014, 7:36 AM

In an ideal world, phawikibugs shouldn't bother about comments either, right?

I confirm the requirement. This would be a regression, see https://bugzilla.wikimedia.org/show_bug.cgi?id=15585 (do we have a tag for regressions here?).

In T647#16504, @Qgil wrote:

In an ideal world, phawikibugs shouldn't bother about comments either, right?

It should -- comments are relevant to following what happens, and if possible, phawikibugs should add a snippet of the text to the message on IRC.

Qgil triaged this task as Lowest priority.Nov 1 2014, 7:38 AM
Legoktm closed this task as Resolved.Nov 5 2014, 7:39 PM
Legoktm claimed this task.

The new IRC bot does not announce CC-only changes.

Was this change already pushed live? Because wikibugs2 announced my subscribing to a bug, this morning and yesterday:
<wikibugs2> Needs-Info tag - https://phabricator.wikimedia.org/T1196#20869 (Quiddity)
<wikibugs2> Phabricator.org: Meme button in Phabricator text area bar doesn't work - https://phabricator.wikimedia.org/T906#20599 (Quiddity)

Quiddity reopened this task as Open.Nov 17 2014, 11:40 PM

Reopening, it's still happening.

Legoktm renamed this task from phawikibugs should Ignore CC changes to wikibugs should Ignore CC changes.Nov 24 2014, 4:58 AM
Legoktm removed Legoktm as the assignee of this task.
Legoktm added a subscriber: Legoktm.
valhallasw raised the priority of this task from Lowest to High.Nov 30 2014, 3:30 PM
valhallasw moved this task from Backlog to Ready to Go on the Wikibugs board.Nov 30 2014, 3:36 PM
Krinkle added a subscriber: Krinkle.Dec 2 2014, 5:45 AM

For a task like this, a link to the source code or a documentation page would be helpful. I don't even know where to start. I do know that I'm getting pinged multiple times by wikibugs across channels when subscribing to a task. :-(

We're waiting on the patch for T75710 to be deployed first, and then I have a patch sitting around locally to fix this.

Qgil added a comment.Dec 4 2014, 10:57 AM

( Wikibugs could have a link to the project page and/or the repository, although hopefully in a few days the repo can be hosted here with Diffusion...)

Legoktm closed this task as Resolved.Dec 10 2014, 7:54 PM
Legoktm claimed this task.

This should be fixed now, again :)

matmarex reopened this task as Open.Jan 14 2015, 10:28 PM
matmarex added a subscriber: matmarex.

Happening again. Related to Phab update today?

gerritbot added a subscriber: gerritbot.

Change 185079 had a related patch set uploaded (by Legoktm):
Fix wikibugs after Phabricator update

https://gerrit.wikimedia.org/r/185079

Patch-For-Review

Change 185079 merged by jenkins-bot:
Fix wikibugs after Phabricator update

https://gerrit.wikimedia.org/r/185079

Legoktm closed this task as Resolved.Jan 14 2015, 10:54 PM

Sigh. Should be fixed again again now.